Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class PortalDefinition

    java.lang.Object
      |
      +--com.bea.netuix.application.definition.PortalDefinition

All Implemented Interfaces:
  CategoryDefinition, Serializable

public class PortalDefinition
extends Object
implements CategoryDefinition

See Also:
  Serialized Form

Constructor Summary
`PortalDefinition(String webAppName, PortalPath portalPath, LocalizationResource lr, String contentUri)` Ctor.

Method Summary
`static PortalDefinition` | `clone(LocalizationResource localizationResource, PortalDefinition portalDefinition)`
`boolean` | `equals(Object o)`
`String` | `getContentUri()` Returns the contentUri for this PortalDefinition
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `CategoryDefinition`.
`PortalPath` | `getPortalPath()`
`String` | `getWebAppName()`
`int` | `hashCode()`
`static String` | `hasRequiredFields(PortalDefinition portalDefinition)`
`boolean` | `isRoot()` Determines if the category is a root category.
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets `LocalizationResource` for this `CategoryDefinition`.
`String` | `toString()`
`static PortalDefinition` | `update(PortalDefinition existingDefinition, PortalDefinition newDefinition)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalDefinition

    public PortalDefinition(String webAppName,
                            PortalPath portalPath,
                            LocalizationResource lr,
                            String contentUri)

  Ctor.

Parameters:
  `portalPath` - PortalPath of portal
  `lr` - LocalizationResource

Method Detail

### getWebAppName

    public String getWebAppName()

### getPortalPath

    public PortalPath getPortalPath()

### getContentUri

    public String getContentUri()

  Returns the contentUri for this PortalDefinition

  Returns:
    contentUri

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `CategoryDefinition`.

  Specified by:
    `getLocalizationResource` in interface `CategoryDefinition`
  Returns:
    LocalizationResource

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets `LocalizationResource` for this `CategoryDefinition`.

  Specified by:
    `setLocalizationResource` in interface `CategoryDefinition`
  Parameters:
    `localizationResource` -

### isRoot

    public boolean isRoot()

  Determines if the category is a root category.

  Specified by:
    `isRoot` in interface `CategoryDefinition`
  Returns:
    `true` if this category is the root

### hasRequiredFields

    public static String hasRequiredFields(PortalDefinition portalDefinition)

### update

    public static PortalDefinition update(PortalDefinition existingDefinition,
                                          PortalDefinition newDefinition)

### clone

    public static PortalDefinition clone(LocalizationResource localizationResource,
                                         PortalDefinition portalDefinition)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved